package com.ruoyi.demo.entity.bo;

import com.ruoyi.demo.entity.AttentionPoolStatistics;
import lombok.Data;

import java.io.Serializable;

@Data
public class AttentionPoolStatisticsBo implements Serializable {
    private Integer attentionCount;
    private Integer clueCount;
    private Integer onlineCount;
    private Integer offlineCount;
    private String time;

    public AttentionPoolStatisticsBo() {
    }

    public AttentionPoolStatisticsBo(AttentionPoolStatistics statistics) {
        this.attentionCount = statistics.getAttentionCount();
        this.clueCount = statistics.getClueCount();
        this.onlineCount = statistics.getOnlineCount();
        this.offlineCount = statistics.getOfflineCount();
        this.time = statistics.getStatTime().toString();
    }

    public AttentionPoolStatisticsBo(String time) {
        this.attentionCount = 0;
        this.clueCount = 0;
        this.onlineCount = 0;
        this.offlineCount = 0;
        this.time = time;
    }

    public AttentionPoolStatisticsBo(Integer attentionCount, Integer clueCount, Integer onlineCount, Integer offlineCount) {
        this.attentionCount = attentionCount;
        this.clueCount = clueCount;
        this.onlineCount = onlineCount;
        this.offlineCount = offlineCount;
    }
}
